SSasympOrig              package:stats              R Documentation

Asymptotic Regression Model through the Origin

Description:

     This 'selfStart' model evaluates the asymptotic regression
     function through the origin and its gradient.  It has an 'initial'
     attribute that will evaluate initial estimates of the parameters
     'Asym' and 'lrc' for a given set of data.

Usage:

     SSasympOrig(input, Asym, lrc)

Arguments:

   input: a numeric vector of values at which to evaluate the model.

    Asym: a numeric parameter representing the horizontal asymptote.

     lrc: a numeric parameter representing the natural logarithm of the
          rate constant.

Value:

     a numeric vector of the same length as 'input'.  It is the value
     of the expression 'Asym*(1 - exp(-exp(lrc)*input))'.  If all of
     the arguments 'Asym' and 'lrc' are names of objects, the gradient
     matrix with respect to these names is attached as an attribute
     named 'gradient'.

Author(s):

     Jose Pinheiro and Douglas Bates

See Also:

     'nls', 'selfStart'

Examples:

     data( Loblolly )
     Lob.329 <- Loblolly[ Loblolly$Seed == "329", ]
     SSasympOrig( Lob.329$age, 100, -3.2 )  # response only
     Asym <- 100; lrc <- -3.2
     SSasympOrig( Lob.329$age, Asym, lrc ) # response and gradient
     getInitial(height ~ SSasympOrig(age, Asym, lrc), data = Lob.329)
     ## Initial values are in fact the converged values
     fm1 <- nls(height ~ SSasympOrig( age, Asym, lrc), data = Lob.329)
     summary(fm1)

